### DbEnv::set_mp_max_write

`

###

    #include <db_cxx.h>

    int
    DbEnv::set_mp_max_write(int maxwrite, int maxwrite_sleep);

    int
    DbEnv::get_mp_max_write(int *maxwritep, int *maxwrite_sleepp);

### Description: DbEnv::set_mp_max_write

The DbEnv::set_mp_max_write method limits the number of sequential write operations scheduled by the library when flushing dirty pages from the cache.

The DbEnv::set_mp_max_write method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

maxwrite
  The maximum number of sequential write operations scheduled by the library when flushing dirty pages from the cache.
maxwrite_sleep
  The number of microseconds the thread of control should pause before scheduling further write operations.

### Errors

The DbEnv::set_mp_max_write method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DbEnv::get_mp_max_write

The DbEnv::get_mp_max_write method returns the current maximum number of sequential write operations and microseconds to pause.

The DbEnv::get_mp_max_write method may be called at any time during the life of the application.

The DbEnv::get_mp_max_write method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

maxwritep
  The maxwritep parameter references memory into which the maximum number of sequential write operations is copied.
maxwrite_sleepp
  The maxwrite_sleepp parameter references memory into which the microseconds to pause before scheduling further write operations is copied.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.